#include "ddh.h"
#include "attenuation.h"

#define ddh_attenuation_profile(data, frequency_GHz, n, attenuation_dB, attenuation_dB_km) \
  __ddh_attenuation_profile(data, frequency_GHz, n, attenuation_dB, attenuation_dB_km, 0) 

#define ddh_saturated_attenuation_profile(data, frequency_GHz, n, attenuation_dB, attenuation_dB_km) \
  __ddh_attenuation_profile(data, frequency_GHz, n, attenuation_dB, attenuation_dB_km, 1) 

void __ddh_attenuation_profile(DDHday *data,
			       float frequency_GHz, int n,
			       float *attenuation_dB,
			       float *attenuation_dB_km,
			       int is_saturated);

void ddh_liquid_profile(DDHday *data,
			float frequency_GHz,
			int n,
			float *K2,
			float *liqud_atten_dB_km_g_m3);
